Package com.sas.metadata.remote

# Interface TSNamespace

All Superinterfaces:
  `CMetadata`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `PrimaryType`, `Remote`, `Root`

public interface TSNamespace extends PrimaryType
Table server namespace.

Attributes of TSNamespace are:

- `NamespaceType`
- `Flags`
- `NamespaceName`

Associations of TSNamespace are:

- `TSAccessKeys`
- `TSContainedNames`
- `TSNamespaceLocations`
- `TSParentNamespace`
- `TSObjects`
- `TSSubNamespaces`

## Usage

To create an instance of this TSNamespace, use the `factory` create methods.
Example: create a TSNamespace with name "TSNamespace_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     TSNamespace myObject = (TSNamespace) factory.createComplexMetadataObject(objectStore, "TSNamespace_Object", MetadataObjects.TSNAMESPACE, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_TSACCESSKEYS_NAME`
  Constant used for the name of the TSAccessKeys association.
  `static final String`
  `ASSOCIATION_TSCONTAINEDNAMES_NAME`
  Constant used for the name of the TSContainedNames association.
  `static final String`
  `ASSOCIATION_TSNAMESPACELOCATIONS_NAME`
  Constant used for the name of the TSNamespaceLocations association.
  `static final String`
  `ASSOCIATION_TSOBJECTS_NAME`
  Constant used for the name of the TSObjects association.
  `static final String`
  `ASSOCIATION_TSPARENTNAMESPACE_NAME`
  Constant used for the name of the TSParentNamespace association.
  `static final String`
  `ASSOCIATION_TSSUBNAMESPACES_NAME`
  Constant used for the name of the TSSubNamespaces association.
  `static final String`
  `ATTRIBUTE_FLAGS_NAME`
  Constant used for the name of the Flags attribute.
  `static final String`
  `ATTRIBUTE_NAMESPACENAME_NAME`
  Constant used for the name of the NamespaceName attribute.
  `static final String`
  `ATTRIBUTE_NAMESPACETYPE_NAME`
  Constant used for the name of the NamespaceType attribute.

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.PrimaryType

  `ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getFlags()`
  Gets the `int` value of `Flags`
  `int`
  `getFlagsState()`
  Gets the Metadata State of `Flags`
  `String`
  `getNamespaceName()`
  Gets the `String` value of `NamespaceName`
  `int`
  `getNamespaceNameMaxLength()`
  Gets the maximum length of `NamespaceName`
  `int`
  `getNamespaceNameState()`
  Gets the Metadata State of `NamespaceName`
  `String`
  `getNamespaceType()`
  Gets the `String` value of `NamespaceType`
  `int`
  `getNamespaceTypeMaxLength()`
  Gets the maximum length of `NamespaceType`
  `int`
  `getNamespaceTypeState()`
  Gets the Metadata State of `NamespaceType`
  `AssociationList`
  `getTSAccessKeys()`
  Gets the AssociationList of `TSAccessKeys`
  `AssociationList`
  `getTSAccessKeys(boolean fGoToServer)`
  Gets the Associationlist of `TSAccessKeys`
  `AssociationList`
  `getTSContainedNames()`
  Gets the AssociationList of `TSContainedNames`
  `AssociationList`
  `getTSContainedNames(boolean fGoToServer)`
  Gets the Associationlist of `TSContainedNames`
  `AssociationList`
  `getTSNamespaceLocations()`
  Gets the AssociationList of `TSNamespaceLocations`
  `AssociationList`
  `getTSNamespaceLocations(boolean fGoToServer)`
  Gets the Associationlist of `TSNamespaceLocations`
  `AssociationList`
  `getTSObjects()`
  Gets the Association list of `TSObjects`
  `AssociationList`
  `getTSObjects(boolean fGoToServer)`
  Gets the Associationlist of `TSObjects`
  `TSNamespace`
  `getTSParentNamespace()`
  Gets the `TSNamespace` for `TSParentNamespace`
  `AssociationList`
  `getTSParentNamespaces()`
  Gets the AssociationList of `TSParentNamespaces`
  `AssociationList`
  `getTSParentNamespaces(boolean fGoToServer)`
  Gets the Associationlist of `TSParentNamespaces`
  `AssociationList`
  `getTSSubNamespaces()`
  Gets the Association list of `TSSubNamespaces`
  `AssociationList`
  `getTSSubNamespaces(boolean fGoToServer)`
  Gets the Associationlist of `TSSubNamespaces`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `TSAccessKeys`
  `TSContainedNames`
  `TSNamespaceLocations`
  `TSParentNamespace`
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `void`
  `setFlags(int inFlags)`
  Sets the `Flags` value and sets the state to MetadataState.LOCAL.
  `void`
  `setFlags(int inFlags, int state)`
  Sets the `Flags` Metadata State.
  `void`
  `setFlags(String inFlags)`
  Sets the `Flags` value and sets the state to MetadataState.LOCAL.
  `void`
  `setFlags(String inFlags, int state)`
  Sets the `Flags` value and Metadata State.
  `void`
  `setFlagsState(int state)`
  Sets the Metadata State of `Flags`.
  `void`
  `setNamespaceName(String inNamespaceName)`
  Sets the `NamespaceName` value and sets the state to MetadataState.LOCAL.
  `void`
  `setNamespaceName(String inNamespaceName, int state)`
  Sets the `NamespaceName` Metadata State.
  `void`
  `setNamespaceNameState(int state)`
  Sets the Metadata State of `NamespaceName`.
  `void`
  `setNamespaceType(String inNamespaceType)`
  Sets the `NamespaceType` value and sets the state to MetadataState.LOCAL.
  `void`
  `setNamespaceType(String inNamespaceType, int state)`
  Sets the `NamespaceType` Metadata State.
  `void`
  `setNamespaceTypeState(int state)`
  Sets the Metadata State of `NamespaceType`.
  `void`
  `setTSAccessKeys(AssociationList list)`
  Sets the `TSAccessKeys` list to be `list`.
  `void`
  `setTSAccessKeys(AssociationList inObjects, int state)`
  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
  `void`
  `setTSContainedNames(AssociationList list)`
  Sets the `TSContainedNames` list to be `list`.
  `void`
  `setTSContainedNames(AssociationList inObjects, int state)`
  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
  `void`
  `setTSNamespaceLocations(AssociationList list)`
  Sets the `TSNamespaceLocations` list to be `list`.
  `void`
  `setTSNamespaceLocations(AssociationList inObjects, int state)`
  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
  `void`
  `setTSObjects(AssociationList list)`
  Sets the `TSObjects` list to be `list`.
  `void`
  `setTSObjects(AssociationList inObjects, int state)`
  Sets the entire TSObjects list to match the passed in AssociationList, sets the state of the TSObjects
  `void`
  `setTSParentNamespace(TSNamespace inObject)`
  Sets the `TSParentNamespaces` list 0th element to be `inObject`.
  `void`
  `setTSParentNamespaces(AssociationList list)`
  Sets the `TSParentNamespaces` list to be `list`.
  `void`
  `setTSParentNamespaces(AssociationList list, int state)`
  Sets the `TSParentNamespaces` list to be `list`.
  `void`
  `setTSSubNamespaces(AssociationList list)`
  Sets the `TSSubNamespaces` list to be `list`.
  `void`
  `setTSSubNamespaces(AssociationList inObjects, int state)`
  Sets the entire TSSubNamespaces list to match the passed in AssociationList, sets the state of the TSSubNamespaces

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.PrimaryType

  `getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

- ## Field Details

  - ### ATTRIBUTE_NAMESPACETYPE_NAME

    static final String ATTRIBUTE_NAMESPACETYPE_NAME
    Constant used for the name of the NamespaceType attribute.

    NamespaceType: NamespaceType

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_FLAGS_NAME

    static final String ATTRIBUTE_FLAGS_NAME
    Constant used for the name of the Flags attribute.

    Flags: Flags

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_NAMESPACENAME_NAME

    static final String ATTRIBUTE_NAMESPACENAME_NAME
    Constant used for the name of the NamespaceName attribute.

    NamespaceName: NamespaceName

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_TSACCESSKEYS_NAME

    static final String ASSOCIATION_TSACCESSKEYS_NAME
    Constant used for the name of the TSAccessKeys association.

    TSAccessKeys: The access key used by this table server namespace.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_TSCONTAINEDNAMES_NAME

    static final String ASSOCIATION_TSCONTAINEDNAMES_NAME
    Constant used for the name of the TSContainedNames association.

    TSContainedNames: The table server names that belong to this space.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_TSNAMESPACELOCATIONS_NAME

    static final String ASSOCIATION_TSNAMESPACELOCATIONS_NAME
    Constant used for the name of the TSNamespaceLocations association.

    TSNamespaceLocations: Location for the table server namespace.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_TSPARENTNAMESPACE_NAME

    static final String ASSOCIATION_TSPARENTNAMESPACE_NAME
    Constant used for the name of the TSParentNamespace association.

    TSParentNamespace: The parent of this object.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_TSOBJECTS_NAME

    static final String ASSOCIATION_TSOBJECTS_NAME
    Constant used for the name of the TSObjects association.

    TSObjects: Table server objects contained in this namespace.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_TSSUBNAMESPACES_NAME

    static final String ASSOCIATION_TSSUBNAMESPACES_NAME
    Constant used for the name of the TSSubNamespaces association.

    TSSubNamespaces: *Unknown*

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `PrimaryType`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    `TSAccessKeys`
    `TSContainedNames`
    `TSNamespaceLocations`
    `TSParentNamespace`
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `PrimaryType`
    Specified by:
      `initializePredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getNamespaceType

    String getNamespaceType() throws RemoteException
    Gets the `String` value of `NamespaceType`
    Returns:
      The `NamespaceType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getNamespaceTypeState

    int getNamespaceTypeState() throws RemoteException
    Gets the Metadata State of `NamespaceType`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getNamespaceTypeMaxLength

    int getNamespaceTypeMaxLength() throws RemoteException
    Gets the maximum length of `NamespaceType`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getFlags

    int getFlags() throws RemoteException
    Gets the `int` value of `Flags`
    Returns:
      The `Flags`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getFlagsState

    int getFlagsState() throws RemoteException
    Gets the Metadata State of `Flags`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getNamespaceName

    String getNamespaceName() throws RemoteException
    Gets the `String` value of `NamespaceName`
    Returns:
      The `NamespaceName`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getNamespaceNameState

    int getNamespaceNameState() throws RemoteException
    Gets the Metadata State of `NamespaceName`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getNamespaceNameMaxLength

    int getNamespaceNameMaxLength() throws RemoteException
    Gets the maximum length of `NamespaceName`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getTSAccessKeys

    AssociationList getTSAccessKeys() throws RemoteException, MdException
    Gets the AssociationList of `TSAccessKeys`
    Returns:
      Returns the AssociationList of `TSAccessKeys` which can be of type:
      SASPassword
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTSContainedNames

    AssociationList getTSContainedNames() throws RemoteException, MdException
    Gets the AssociationList of `TSContainedNames`
    Returns:
      Returns the AssociationList of `TSContainedNames` which can be of type:
      TSNameObject
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTSNamespaceLocations

    AssociationList getTSNamespaceLocations() throws RemoteException, MdException
    Gets the AssociationList of `TSNamespaceLocations`
    Returns:
      Returns the AssociationList of `TSNamespaceLocations` which can be of type:
      ContentLocation
      Text
      TextStore
      SASCatalogEntry
      File
      ArchiveFile
      ArchiveEntry
      Document
      Directory
      AnalyticContext
      Device
      Stream
      Memory
      Connection
      SASClientConnection
      OpenClientConnection
      TCPIPConnection
      COMConnection
      Email
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTSParentNamespaces

    AssociationList getTSParentNamespaces() throws RemoteException, MdException
    Gets the AssociationList of `TSParentNamespaces`
    Returns:
      Returns the AssociationList of `TSParentNamespaces` which can be of type:
      TSNamespace
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException`

  - ### getTSParentNamespace

    TSNamespace getTSParentNamespace() throws RemoteException, MdException
    Gets the `TSNamespace` for `TSParentNamespace`
    Returns:
      The `TSNamespace` ( `null` if not set) of `TSParentNamespace`which can be of type:
      TSNamespace
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTSObjects

    AssociationList getTSObjects() throws RemoteException, MdException
    Gets the Association list of `TSObjects`
    Returns:
      The AssociationList of `TSObjects` which can be of type:
      All types
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTSSubNamespaces

    AssociationList getTSSubNamespaces() throws RemoteException, MdException
    Gets the Association list of `TSSubNamespaces`
    Returns:
      The AssociationList of `TSSubNamespaces` which can be of type:
      TSNamespace
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTSAccessKeys

    AssociationList getTSAccessKeys(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `TSAccessKeys`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `TSAccessKeys` which can be of type:
      SASPassword
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTSContainedNames

    AssociationList getTSContainedNames(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `TSContainedNames`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `TSContainedNames` which can be of type:
      TSNameObject
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTSNamespaceLocations

    AssociationList getTSNamespaceLocations(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `TSNamespaceLocations`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `TSNamespaceLocations` which can be of type:
      ContentLocation
      Text
      TextStore
      SASCatalogEntry
      File
      ArchiveFile
      ArchiveEntry
      Document
      Directory
      AnalyticContext
      Device
      Stream
      Memory
      Connection
      SASClientConnection
      OpenClientConnection
      TCPIPConnection
      COMConnection
      Email
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTSParentNamespaces

    AssociationList getTSParentNamespaces(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `TSParentNamespaces`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `TSParentNamespaces` which can be of type:
      TSNamespace
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTSObjects

    AssociationList getTSObjects(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `TSObjects`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `TSObjects` which can be of type:
      All types
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTSSubNamespaces

    AssociationList getTSSubNamespaces(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `TSSubNamespaces`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `TSSubNamespaces` which can be of type:
      TSNamespace
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setNamespaceType

    void setNamespaceType(String inNamespaceType) throws RemoteException
    Sets the `NamespaceType` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inNamespaceType` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setNamespaceType

    void setNamespaceType(String inNamespaceType, int state) throws RemoteException
    Sets the `NamespaceType` Metadata State.
    Parameters:
      `inNamespaceType` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setNamespaceTypeState

    void setNamespaceTypeState(int state) throws RemoteException
    Sets the Metadata State of `NamespaceType`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setFlags

    void setFlags(int inFlags) throws RemoteException
    Sets the `Flags` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inFlags` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setFlags

    void setFlags(int inFlags, int state) throws RemoteException
    Sets the `Flags` Metadata State.
    Parameters:
      `inFlags` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setFlags

    void setFlags(String inFlags) throws RemoteException
    Sets the `Flags` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inFlags` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setFlags

    void setFlags(String inFlags, int state) throws RemoteException
    Sets the `Flags` value and Metadata State.
    Parameters:
      `inFlags` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setFlagsState

    void setFlagsState(int state) throws RemoteException
    Sets the Metadata State of `Flags`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setNamespaceName

    void setNamespaceName(String inNamespaceName) throws RemoteException
    Sets the `NamespaceName` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inNamespaceName` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setNamespaceName

    void setNamespaceName(String inNamespaceName, int state) throws RemoteException
    Sets the `NamespaceName` Metadata State.
    Parameters:
      `inNamespaceName` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setNamespaceNameState

    void setNamespaceNameState(int state) throws RemoteException
    Sets the Metadata State of `NamespaceName`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTSAccessKeys

    void setTSAccessKeys(AssociationList list) throws RemoteException
    Sets the `TSAccessKeys` list to be `list`. Objects of which can be of type:
    SASPassword
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTSAccessKeys

    void setTSAccessKeys(AssociationList inObjects, int state) throws RemoteException
    Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTSContainedNames

    void setTSContainedNames(AssociationList list) throws RemoteException
    Sets the `TSContainedNames` list to be `list`. Objects of which can be of type:
    TSNameObject
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTSContainedNames

    void setTSContainedNames(AssociationList inObjects, int state) throws RemoteException
    Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTSNamespaceLocations

    void setTSNamespaceLocations(AssociationList list) throws RemoteException
    Sets the `TSNamespaceLocations` list to be `list`. Objects of which can be of type:
    ContentLocation
    Text
    TextStore
    SASCatalogEntry
    File
    ArchiveFile
    ArchiveEntry
    Document
    Directory
    AnalyticContext
    Device
    Stream
    Memory
    Connection
    SASClientConnection
    OpenClientConnection
    TCPIPConnection
    COMConnection
    Email
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTSNamespaceLocations

    void setTSNamespaceLocations(AssociationList inObjects, int state) throws RemoteException
    Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTSParentNamespaces

    void setTSParentNamespaces(AssociationList list) throws RemoteException
    Sets the `TSParentNamespaces` list to be `list`. Object of which can be of type:
    TSNamespace
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTSParentNamespaces

    void setTSParentNamespaces(AssociationList list, int state) throws RemoteException
    Sets the `TSParentNamespaces` list to be `list`. Object of which can be of type:
    TSNamespace
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTSParentNamespace

    void setTSParentNamespace(TSNamespace inObject) throws RemoteException
    Sets the `TSParentNamespaces` list 0th element to be `inObject`.
    Parameters:
      `inObject` - TSNamespace
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTSObjects

    void setTSObjects(AssociationList list) throws RemoteException
    Sets the `TSObjects` list to be `list`. Objects of which can be of type:
    All types
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTSObjects

    void setTSObjects(AssociationList inObjects, int state) throws RemoteException
    Sets the entire TSObjects list to match the passed in AssociationList, sets the state of the TSObjects
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTSSubNamespaces

    void setTSSubNamespaces(AssociationList list) throws RemoteException
    Sets the `TSSubNamespaces` list to be `list`. Objects of which can be of type:
    TSNamespace
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTSSubNamespaces

    void setTSSubNamespaces(AssociationList inObjects, int state) throws RemoteException
    Sets the entire TSSubNamespaces list to match the passed in AssociationList, sets the state of the TSSubNamespaces
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.